summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Kyle Guinn2013-06-04 23:15:39 +0200
committer Robby Workman2013-06-05 10:17:42 +0200
commit16c34b9762cc319b1f784737511687d21a3eb902 (patch)
tree4be944aa14af591cbafdce9671dcbd6db2bb52f9 /graphics
parent15e02c6fe1b85d71c8e7fadd27fe0461061f8141 (diff)
downloadslackbuilds-16c34b9762cc319b1f784737511687d21a3eb902.tar.gz
graphics/pngquant: Added (PNG conversion tool)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/pngquant/README5
-rw-r--r--graphics/pngquant/pngquant.SlackBuild84
-rw-r--r--graphics/pngquant/pngquant.info10
-rw-r--r--graphics/pngquant/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/graphics/pngquant/README b/graphics/pngquant/README
new file mode 100644
index 0000000000..34721f2b04
--- /dev/null
+++ b/graphics/pngquant/README
@@ -0,0 +1,5 @@
+pngquant is a command-line utility for converting 24/32-bit PNG
+images to paletted (8-bit) PNGs. The conversion reduces file sizes
+significantly (often as much as 70%) and preserves full alpha
+transparency. Generated images are compatible with all modern web
+browsers, and have better fallback in IE6 than 24-bit PNGs.
diff --git a/graphics/pngquant/pngquant.SlackBuild b/graphics/pngquant/pngquant.SlackBuild
new file mode 100644
index 0000000000..77dd0529f9
--- /dev/null
+++ b/graphics/pngquant/pngquant.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for pngquant
+
+# Copyright 2013 Kyle Guinn <elyk03@gmail.com>, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pngquant
+VERSION=${VERSION:-1.8.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="CHANGELOG COPYRIGHT INSTALL README.md"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go-w,a+rX-st .
+
+make CFLAGSADD="$SLKCFLAGS"
+install -D -m0755 -s pngquant $PKG/usr/bin/pngquant
+install -D -m0644 pngquant.1 $PKG/usr/man/man1/pngquant.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/pngquant/pngquant.info b/graphics/pngquant/pngquant.info
new file mode 100644
index 0000000000..6720d22682
--- /dev/null
+++ b/graphics/pngquant/pngquant.info
@@ -0,0 +1,10 @@
+PRGNAM="pngquant"
+VERSION="1.8.3"
+HOMEPAGE="http://pngquant.org/"
+DOWNLOAD="http://pngquant.org/pngquant-1.8.3-src.tar.bz2"
+MD5SUM="d1015f115bf396c9eed41a17ed8e898c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
diff --git a/graphics/pngquant/slack-desc b/graphics/pngquant/slack-desc
new file mode 100644
index 0000000000..068b2fa1a7
--- /dev/null
+++ b/graphics/pngquant/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pngquant: pngquant (PNG conversion tool)
+pngquant:
+pngquant: pngquant is a command-line utility for converting 24/32-bit PNG
+pngquant: images to paletted (8-bit) PNGs. The conversion reduces file sizes
+pngquant: significantly (often as much as 70%) and preserves full alpha
+pngquant: transparency. Generated images are compatible with all modern web
+pngquant: browsers, and have better fallback in IE6 than 24-bit PNGs.
+pngquant:
+pngquant:
+pngquant:
+pngquant: